MPD 0.20.6

- Main Page
- Namespaces
- Data Structures
- Files

- Data Structures
- Class Hierarchy
- Data Fields

Data Fields
AudioOutput::Request Struct Reference

Additional data for command. More...

`#include <Internal.hxx>`

Collaboration diagram for AudioOutput::Request:
[legend]

## Data Fields
AudioFormat | audio_format
| The AudioFormat requested by #Command::OPEN. More...
const MusicPipe * | pipe
| The MusicPipe passed to #Command::OPEN. More...

## Detailed Description

Additional data for command.

Protected by mutex.

Definition at line 226 of file Internal.hxx.

## Field Documentation

AudioFormat AudioOutput::Request::audio_format

The AudioFormat requested by #Command::OPEN.

Definition at line 230 of file Internal.hxx.

const MusicPipe* AudioOutput::Request::pipe

The MusicPipe passed to #Command::OPEN.

Definition at line 235 of file Internal.hxx.

The documentation for this struct was generated from the following file:

- output/Internal.hxx